Package owl.ltl

## Class BinaryModalOperator

- java.lang.Object
- - owl.ltl.Formula
  - - owl.ltl.Formula.TemporalOperator
    - - owl.ltl.Formula.ModalOperator
      - - owl.ltl.BinaryModalOperator

- All Implemented Interfaces:
    `Comparable<Formula>`
  Direct Known Subclasses:
    `MOperator`, `ROperator`, `UOperator`, `WOperator`

      public abstract class BinaryModalOperator
      extends Formula.ModalOperator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class owl.ltl.Formula

      `Formula.LogicalOperator, Formula.ModalOperator, Formula.TemporalOperator`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Formula` | `left` |
    `Formula` | `right` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<Formula>` | `children()` |
    `protected int` | `compareToImpl​(Formula o)` |
    `protected boolean` | `equalsImpl​(Formula o)` |
    `boolean` | `isPureEventual()` |
    `boolean` | `isPureUniversal()` |
    `abstract String` | `operatorSymbol()` |
    `String` | `toString()` |

    - ### Methods inherited from class owl.ltl.Formula.TemporalOperator

      `substitute, temporalStep, temporalStep, temporalStep, temporalStepUnfold`

    - ### Methods inherited from class owl.ltl.Formula

      `accept, accept, accept, allMatch, anyMatch, atomicPropositions, compareTo, equals, hashCode, height, isSuspendable, nnf, not, subformulas, subformulas, subformulas, unfold, unfoldTemporalStep`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### left

          public final Formula left

    - #### right

          public final Formula right

  - ### Method Detail

    - #### children

          public Set<Formula> children()

      Specified by:
        `children` in class `Formula`

    - #### isPureEventual

          public final boolean isPureEventual()

      Specified by:
        `isPureEventual` in class `Formula`

    - #### isPureUniversal

          public final boolean isPureUniversal()

      Specified by:
        `isPureUniversal` in class `Formula`

    - #### operatorSymbol

          public abstract String operatorSymbol()

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`

    - #### compareToImpl

          protected final int compareToImpl​(Formula o)

      Specified by:
        `compareToImpl` in class `Formula`

    - #### equalsImpl

          protected final boolean equalsImpl​(Formula o)

      Specified by:
        `equalsImpl` in class `Formula`